Skip to main content
POST
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
activate
TypeScript
const response: Promise<FireblocksResponse<CreateVaultAssetResponse>> = fireblocks.vaults.activateAssetForVaultAccount(vaultsApiActivateAssetForVaultAccountRequest);
{
  "id": "<string>",
  "address": "<string>",
  "legacyAddress": "<string>",
  "enterpriseAddress": "<string>",
  "tag": "<string>",
  "eosAccountName": "<string>",
  "status": "<string>",
  "activationTxId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account to return, or 'default' for the default vault account

assetId
string
required

The ID of the asset

Query Parameters

blockchainWalletType
string

Optional immutable blockchain wallet type to store per tenant+vault

Response

OK

id
string
address
string
legacyAddress
string
enterpriseAddress
string
tag
string
eosAccountName
string
status
string
activationTxId
string